# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::Rational Class Reference

Class defining a rational number.

`#include <common.h>`

List of all members.

## Public Attributes

- unsigned int m_num
    Numerator.
- unsigned int m_denom
    Denominator.

## Member Data Documentation

unsigned int dirac::Rational::m_denom

Referenced by dirac::SourceParams::SetFrameRate(), and dirac::SourceParams::SetPixelAspectRatio().

unsigned int dirac::Rational::m_num

Referenced by dirac::SourceParams::SetFrameRate(), and dirac::SourceParams::SetPixelAspectRatio().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.